@use '../../../styles/variables';


@mixin template() {
  background-color: #fff;
  border: 1px solid #ccc;
}

.layout {
  display: grid;
  grid-template-areas: "head head"
                       "nav  main"
                       "foot  foot";
  max-width: 1000px;
  margin: 0 auto;
}

.head {
  grid-area: head;
  @include template()
}

.nav {
  grid-area: nav;
  width: 200px;
  @include template()
}

.main {
  grid-area: main;
  width: 800px;
  @include template()
}

.footer {
  grid-area: foot;
  @include template()
}
